Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.streaming
Class SXSSFCell

    java.lang.Object
      org.apache.poi.xssf.streaming.SXSSFCell

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.Cell

    public class SXSSFCell

extends java.lang.Object
implements org.apache.poi.ss.usermodel.Cell

Streaming version of XSSFRow implementing the "BigGridDemo" strategy.

Author:
  Alex Geller, Four J's Development Tools

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.Cell
`CELL_TYPE_BLANK, CELL_TYPE_BOOLEAN, CELL_TYPE_ERROR, CELL_TYPE_FORMULA, CELL_TYPE_NUMERIC, CELL_TYPE_STRING`

Constructor Summary
`SXSSFCell(SXSSFRow row, int cellType)`

Method Summary
`org.apache.poi.ss.util.CellRangeAddress` | `getArrayFormulaRange()` Only valid for array formula cells
`boolean` | `getBooleanCellValue()` Get the value of the cell as a boolean.
`int` | `getCachedFormulaResultType()` Only valid for formula cells
`org.apache.poi.ss.usermodel.Comment` | `getCellComment()` Returns comment associated with this cell
`java.lang.String` | `getCellFormula()` Return a formula for the cell, for example, `SUM(C4:E4)`
`org.apache.poi.ss.usermodel.CellStyle` | `getCellStyle()` Return the cell's style.
`int` | `getCellType()` Return the cell type.
`int` | `getColumnIndex()` Returns column index of this cell
`java.util.Date` | `getDateCellValue()` Get the value of the cell as a date.
`byte` | `getErrorCellValue()` Get the value of the cell as an error code.
`org.apache.poi.ss.usermodel.Hyperlink` | `getHyperlink()`
`double` | `getNumericCellValue()` Get the value of the cell as a number.
`org.apache.poi.ss.usermodel.RichTextString` | `getRichStringCellValue()` Get the value of the cell as a XSSFRichTextString
`org.apache.poi.ss.usermodel.Row` | `getRow()` Returns the Row this cell belongs to
`int` | `getRowIndex()` Returns row index of a row in the sheet that contains this cell
`org.apache.poi.ss.usermodel.Sheet` | `getSheet()` Returns the sheet this cell belongs to
`java.lang.String` | `getStringCellValue()` Get the value of the cell as a string
`boolean` | `isPartOfArrayFormulaGroup()`
`void` | `removeCellComment()` Removes the comment for this cell, if there is one.
`void` | `setAsActiveCell()` Sets this cell as the active cell for the worksheet
`void` | `setCellComment(org.apache.poi.ss.usermodel.Comment comment)` Assign a comment to this cell
`void` | `setCellErrorValue(byte value)` Set a error value for the cell
`void` | `setCellFormula(java.lang.String formula)` Sets formula for this cell.
`void` | `setCellStyle(org.apache.poi.ss.usermodel.CellStyle style)` Set the style for the cell.
`void` | `setCellType(int cellType)` Set the cells type (numeric, formula or string)
`void` | `setCellValue(boolean value)` Set a boolean value for the cell
`void` | `setCellValue(java.util.Calendar value)` Set a date value for the cell.
`void` | `setCellValue(java.util.Date value)` Converts the supplied date to its equivalent Excel numeric value and sets that into the cell.
`void` | `setCellValue(double value)` Set a numeric value for the cell
`void` | `setCellValue(org.apache.poi.ss.usermodel.RichTextString value)` Set a rich string value for the cell.
`void` | `setCellValue(java.lang.String value)` Set a string value for the cell.
`void` | `setHyperlink(org.apache.poi.ss.usermodel.Hyperlink link)` Assign a hyperlink to this cell
`java.lang.String` | `toString()` Returns a string representation of the cell

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SXSSFCell

    public SXSSFCell(SXSSFRow row,
                     int cellType)

Method Detail

### getColumnIndex

    public int getColumnIndex()

  Returns column index of this cell

  Specified by:
    `getColumnIndex` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    zero-based column index of a column in a sheet.

### getRowIndex

    public int getRowIndex()

  Returns row index of a row in the sheet that contains this cell

  Specified by:
    `getRowIndex` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    zero-based row index of a row in the sheet that contains this cell

### getSheet

    public org.apache.poi.ss.usermodel.Sheet getSheet()

  Returns the sheet this cell belongs to

  Specified by:
    `getSheet` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the sheet this cell belongs to

### getRow

    public org.apache.poi.ss.usermodel.Row getRow()

  Returns the Row this cell belongs to

  Specified by:
    `getRow` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the Row that owns this cell

### setCellType

    public void setCellType(int cellType)

  Set the cells type (numeric, formula or string)

  Specified by:
    `setCellType` in interface `org.apache.poi.ss.usermodel.Cell`
  Throws:
    `java.lang.IllegalArgumentException` - if the specified cell type is invalid
  See Also:
    `Cell.CELL_TYPE_NUMERIC`, `Cell.CELL_TYPE_STRING`, `Cell.CELL_TYPE_FORMULA`, `Cell.CELL_TYPE_BLANK`, `Cell.CELL_TYPE_BOOLEAN`, `Cell.CELL_TYPE_ERROR`

### getCellType

    public int getCellType()

  Return the cell type.

  Specified by:
    `getCellType` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the cell type
  See Also:
    `Cell.CELL_TYPE_BLANK`, `Cell.CELL_TYPE_NUMERIC`, `Cell.CELL_TYPE_STRING`, `Cell.CELL_TYPE_FORMULA`, `Cell.CELL_TYPE_BOOLEAN`, `Cell.CELL_TYPE_ERROR`

### getCachedFormulaResultType

    public int getCachedFormulaResultType()

  Only valid for formula cells

  Specified by:
    `getCachedFormulaResultType` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    one of (`Cell.CELL_TYPE_NUMERIC`, `Cell.CELL_TYPE_STRING`, `Cell.CELL_TYPE_BOOLEAN`, `Cell.CELL_TYPE_ERROR`) depending on the cached value of the formula

### setCellValue

    public void setCellValue(double value)

  Set a numeric value for the cell

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - the numeric value to set this cell to. For formulas we'll set the precalculated value, for numerics we'll set its value. For other types we will change the cell to a numeric cell and set its value.

### setCellValue

    public void setCellValue(java.util.Date value)

  Converts the supplied date to its equivalent Excel numeric value and sets that into the cell.

  Note - There is actually no 'DATE' cell type in Excel. In many cases (when entering date values), Excel automatically adjusts the cell style to some date format, creating the illusion that the cell data type is now something besides `Cell.CELL_TYPE_NUMERIC`. POI does not attempt to replicate this behaviour. To make a numeric cell display as a date, use `setCellStyle(CellStyle)` etc.

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - the numeric value to set this cell to. For formulas we'll set the precalculated value, for numerics we'll set its value. For other types we will change the cell to a numerics cell and set its value.

### setCellValue

    public void setCellValue(java.util.Calendar value)

  Set a date value for the cell. Excel treats dates as numeric so you will need to format the cell as a date.

  This will set the cell value based on the Calendar's timezone. As Excel does not support timezones this means that both 20:00+03:00 and 20:00-03:00 will be reported as the same value (20:00) even that there are 6 hours difference between the two times. This difference can be preserved by using `setCellValue(value.getTime())` which will automatically shift the times to the default timezone.

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - the date value to set this cell to. For formulas we'll set the precalculated value, for numerics we'll set its value. For othertypes we will change the cell to a numeric cell and set its value.

### setCellValue

    public void setCellValue(org.apache.poi.ss.usermodel.RichTextString value)

  Set a rich string value for the cell.

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - value to set the cell to. For formulas we'll set the formula string, for String cells we'll set its value. For other types we will change the cell to a string cell and set its value. If value is null then we will change the cell to a Blank cell.

### setCellValue

    public void setCellValue(java.lang.String value)

  Set a string value for the cell.

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - value to set the cell to. For formulas we'll set the formula string, for String cells we'll set its value. For other types we will change the cell to a string cell and set its value. If value is null then we will change the cell to a Blank cell.

### setCellFormula

    public void setCellFormula(java.lang.String formula)
                        throws org.apache.poi.ss.formula.FormulaParseException

  Sets formula for this cell.

  Note, this method only sets the formula string and does not calculate the formula value. To set the precalculated value use `setCellValue(double)` or `setCellValue(String)`

  Specified by:
    `setCellFormula` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `formula` - the formula to set, e.g. `"SUM(C4:E4)"`. If the argument is `null` then the current formula is removed.
  Throws:
    `org.apache.poi.ss.formula.FormulaParseException` - if the formula has incorrect syntax or is otherwise invalid

### getCellFormula

    public java.lang.String getCellFormula()

  Return a formula for the cell, for example, `SUM(C4:E4)`

  Specified by:
    `getCellFormula` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    a formula for the cell
  Throws:
    `java.lang.IllegalStateException` - if the cell type returned by `getCellType()` is not CELL_TYPE_FORMULA

### getNumericCellValue

    public double getNumericCellValue()

  Get the value of the cell as a number.

  For strings we throw an exception. For blank cells we return a 0. For formulas or error cells we return the precalculated value;

  Specified by:
    `getNumericCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as a number
  Throws:
    `java.lang.IllegalStateException` - if the cell type returned by `getCellType()` is CELL_TYPE_STRING
    `java.lang.NumberFormatException` - if the cell value isn't a parsable `double`.
  See Also:
    `for turning this number into a string similar to that which Excel would render this number as.`

### getDateCellValue

    public java.util.Date getDateCellValue()

  Get the value of the cell as a date.

  For strings we throw an exception. For blank cells we return a null.

  Specified by:
    `getDateCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as a date
  Throws:
    `java.lang.IllegalStateException` - if the cell type returned by `getCellType()` is CELL_TYPE_STRING
    `java.lang.NumberFormatException` - if the cell value isn't a parsable `double`.
  See Also:
    `for formatting this date into a string similar to how excel does.`

### getRichStringCellValue

    public org.apache.poi.ss.usermodel.RichTextString getRichStringCellValue()

  Get the value of the cell as a XSSFRichTextString

  For numeric cells we throw an exception. For blank cells we return an empty string. For formula cells we return the pre-calculated value if a string, otherwise an exception.

  Specified by:
    `getRichStringCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as a XSSFRichTextString

### getStringCellValue

    public java.lang.String getStringCellValue()

  Get the value of the cell as a string

  For numeric cells we throw an exception. For blank cells we return an empty string. For formulaCells that are not string Formulas, we throw an exception.

  Specified by:
    `getStringCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as a string

### setCellValue

    public void setCellValue(boolean value)

  Set a boolean value for the cell

  Specified by:
    `setCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - the boolean value to set this cell to. For formulas we'll set the precalculated value, for booleans we'll set its value. For other types we will change the cell to a boolean cell and set its value.

### setCellErrorValue

    public void setCellErrorValue(byte value)

  Set a error value for the cell

  Specified by:
    `setCellErrorValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `value` - the error value to set this cell to. For formulas we'll set the precalculated value , for errors we'll set its value. For other types we will change the cell to an error cell and set its value.
  See Also:
    `FormulaError`

### getBooleanCellValue

    public boolean getBooleanCellValue()

  Get the value of the cell as a boolean.

  For strings, numbers, and errors, we throw an exception. For blank cells we return a false.

  Specified by:
    `getBooleanCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as a boolean
  Throws:
    `java.lang.IllegalStateException` - if the cell type returned by `getCellType()` is not CELL_TYPE_BOOLEAN, CELL_TYPE_BLANK or CELL_TYPE_FORMULA

### getErrorCellValue

    public byte getErrorCellValue()

  Get the value of the cell as an error code.

  For strings, numbers, and booleans, we throw an exception. For blank cells we return a 0.

  Specified by:
    `getErrorCellValue` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the value of the cell as an error code
  Throws:
    `java.lang.IllegalStateException` - if the cell type returned by `getCellType()` isn't CELL_TYPE_ERROR
  See Also:
    `for error codes`

### setCellStyle

    public void setCellStyle(org.apache.poi.ss.usermodel.CellStyle style)

  Set the style for the cell. The style should be an CellStyle created/retreived from the Workbook.

  Specified by:
    `setCellStyle` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `style` - reference contained in the workbook. If the value is null then the style information is removed causing the cell to used the default workbook style.
  See Also:
    `Workbook.createCellStyle()`

### getCellStyle

    public org.apache.poi.ss.usermodel.CellStyle getCellStyle()

  Return the cell's style.

  Specified by:
    `getCellStyle` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    the cell's style. Always not-null. Default cell style has zero index and can be obtained as `workbook.getCellStyleAt(0)`
  See Also:
    `Workbook.getCellStyleAt(short)`

### setAsActiveCell

    public void setAsActiveCell()

  Sets this cell as the active cell for the worksheet

  Specified by:
    `setAsActiveCell` in interface `org.apache.poi.ss.usermodel.Cell`

### setCellComment

    public void setCellComment(org.apache.poi.ss.usermodel.Comment comment)

  Assign a comment to this cell

  Specified by:
    `setCellComment` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `comment` - comment associated with this cell

### getCellComment

    public org.apache.poi.ss.usermodel.Comment getCellComment()

  Returns comment associated with this cell

  Specified by:
    `getCellComment` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    comment associated with this cell or `null` if not found

### removeCellComment

    public void removeCellComment()

  Removes the comment for this cell, if there is one.

  Specified by:
    `removeCellComment` in interface `org.apache.poi.ss.usermodel.Cell`

### getHyperlink

    public org.apache.poi.ss.usermodel.Hyperlink getHyperlink()

  Specified by:
    `getHyperlink` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    hyperlink associated with this cell or `null` if not found

### setHyperlink

    public void setHyperlink(org.apache.poi.ss.usermodel.Hyperlink link)

  Assign a hyperlink to this cell

  Specified by:
    `setHyperlink` in interface `org.apache.poi.ss.usermodel.Cell`
  Parameters:
    `link` - hyperlink associated with this cell

### getArrayFormulaRange

    public org.apache.poi.ss.util.CellRangeAddress getArrayFormulaRange()

  Only valid for array formula cells

  Specified by:
    `getArrayFormulaRange` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    range of the array formula group that the cell belongs to.

### isPartOfArrayFormulaGroup

    public boolean isPartOfArrayFormulaGroup()

  Specified by:
    `isPartOfArrayFormulaGroup` in interface `org.apache.poi.ss.usermodel.Cell`
  Returns:
    `true` if this cell is part of group of cells having a common array formula.

### toString

    public java.lang.String toString()

  Returns a string representation of the cell

  Formula cells return the formula string, rather than the formula result. Dates are displayed in dd-MMM-yyyy format Errors are displayed as #ERR<errIdx>

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD